%define momorel 2

Summary: A GNU stream text editor.
Name: sed
Version: 4.0.7
Release: %{momorel}m
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/directory/sed.html
%NoSource 0 ftp://ftp.gnu.org/pub/gnu/sed/sed-%{version}.tar.gz 005738e7f97bd77d95b6907156c8202a
#Patch: http://www-124.ibm.com/developerworks/oss/linux/patches/i18n/sed-3.02-i18n-0.5.patch.gz
Prereq: info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: /bin/sed

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q

%build
%configure --without-included-regex
%make LDFLAGS=-s
%make check

%install
rm -rf %{buildroot}
%makeinstall

( cd %{buildroot}
  mkdir ./bin
  mv ./usr/bin/sed ./bin/sed
  rmdir ./usr/bin
#  gzip -9nf .%{_infodir}/sed.info*
  rm -f .%{_infodir}/dir
)

%post
/sbin/install-info %{_infodir}/sed.info %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/sed.info %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS NEWS README AUTHORS THANKS ChangeLog
/bin/sed 
%{_infodir}/sed.info*
%{_mandir}/man1/sed.1*
%{_datadir}/locale/*/*/*

%changelog
* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (4.0.7-2m)
- revised spec for rpm 4.2.

* Fri Aug 22 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (4.0.7-1m)
- version 4.0.7

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.0.2-20k)
- Provides: /bin/sed

* Fri Jan 04 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (3.0.2-18k)
- Forgotton release increment.

* Thu Jan 03 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- Fixed Source0 path.

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (3.0.2-16k)
- change i18n patch to IBM's one

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Jun 12 2000 Akira Higuchi <a@kondara.org>
- ceased to use multibyte patch. wrote kondara patch.

* Tue Jun 6 2000 Akira Higuchi <a@kondara.org>
- s/re_max_failures/re_max_failures_/g

* Mon Jun 5 2000 Toru Hoshina <t@kondara.org>
- force -O0 for Alpha platform to avoid SEGV :-P

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-GNU_sed-20000115

* Thu Nov 25 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-GNU_sed-19991115

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.02

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.01

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- removed references to the -g option from the man page that we add

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
